VTK: vtkFinitePlaneRepresentation Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkFinitePlaneRepresentation Class Reference

represent the vtkFinitePlaneWidget. More...

`#include <vtkFinitePlaneRepresentation.h>`

Inheritance diagram for vtkFinitePlaneRepresentation:
[legend]
Collaboration diagram for vtkFinitePlaneRepresentation:
[legend]

## Public Types
enum | InteractionStateType { Outside = 0 , MoveOrigin , ModifyV1 , ModifyV2 , Moving , Rotating , Pushing }
typedef InteractionStateType | _InteractionState
Public Types inherited from vtkWidgetRepresentation
enum | Axis { NONE = -1 , XAxis = 0 , YAxis = 1 , ZAxis = 2 , Custom = 3 }
| Axis labels. More...
typedef vtkProp | Superclass
| Standard methods for instances of this class. More...
Public Types inherited from vtkProp
typedef vtkObject | Superclass

## Public Member Functions
void | GetPolyData (vtkPolyData *pd)
| Grab the polydata that defines the plane. More...
virtual void | SetInteractionState (int)
void | TranslateOrigin (double *p1, double *p2)
void | MovePoint1 (double *p1, double *p2)
void | MovePoint2 (double *p1, double *p2)
void | Push (double *p1, double *p2)
void | Rotate (int X, int Y, double *p1, double *p2, double *vpn)
void | RegisterPickers () override
| Register internal Pickers in the Picking Manager. More...
virtual vtkProperty * | GetV1HandleProperty ()
| Get the handle properties (the little balls are the handles). More...
virtual vtkProperty * | GetV2HandleProperty ()
| Get the handle properties (the little balls are the handles). More...
virtual vtkProperty * | GetSelectedHandleProperty ()
| Get the handle properties (the little balls are the handles). More...
virtual vtkProperty * | GetPlaneProperty ()
| Get the plane properties. More...
virtual vtkProperty * | GetSelectedPlaneProperty ()
| Get the plane properties. More...
virtual void | SetTubing (bool)
| Turn on/off tubing of the wire outline of the plane. More...
virtual bool | GetTubing ()
| Turn on/off tubing of the wire outline of the plane. More...
virtual void | TubingOn ()
| Turn on/off tubing of the wire outline of the plane. More...
virtual void | TubingOff ()
| Turn on/off tubing of the wire outline of the plane. More...
void | SetDrawPlane (bool plane)
| Enable/disable the drawing of the plane. More...
virtual bool | GetDrawPlane ()
| Enable/disable the drawing of the plane. More...
virtual void | DrawPlaneOn ()
| Enable/disable the drawing of the plane. More...
virtual void | DrawPlaneOff ()
| Enable/disable the drawing of the plane. More...
void | SetHandles (bool handles)
| Switches handles (the spheres) on or off by manipulating the underlying actor visibility. More...
virtual void | HandlesOn ()
| Switches handles (the spheres) on or off by manipulating the underlying actor visibility. More...
virtual void | HandlesOff ()
| Switches handles (the spheres) on or off by manipulating the underlying actor visibility. More...
void | PlaceWidget (double bounds[6]) override
| These are methods that satisfy vtkWidgetRepresentation's API. More...
void | BuildRepresentation () override
| These are methods that satisfy vtkWidgetRepresentation's API. More...
int | ComputeInteractionState (int X, int Y, int modify=0) override
| These are methods that satisfy vtkWidgetRepresentation's API. More...
void | StartWidgetInteraction (double e[2]) override
| These are methods that satisfy vtkWidgetRepresentation's API. More...
void | WidgetInteraction (double e[2]) override
| These are methods that satisfy vtkWidgetRepresentation's API. More...
double * | GetBounds () override
| These are methods that satisfy vtkWidgetRepresentation's API. More...
void | ReleaseGraphicsResources (vtkWindow *) override
| Methods supporting, and required by, the rendering process. More...
int | RenderOpaqueGeometry (vtkViewport *) override
| Methods supporting, and required by, the rendering process. More...
int | RenderTranslucentPolygonalGeometry (vtkViewport *) override
| Methods supporting, and required by, the rendering process. More...
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| Methods supporting, and required by, the rendering process. More...
void | SetOrigin (double x, double y, double z)
| Set/Get the origin of the plane. More...
void | SetOrigin (double x[3])
| Set/Get the origin of the plane. More...
virtual double * | GetOrigin ()
| Set/Get the origin of the plane. More...
virtual void | GetOrigin (double &, double &, double &)
| Set/Get the origin of the plane. More...
virtual void | GetOrigin (double[3])
| Set/Get the origin of the plane. More...
void | SetNormal (double x, double y, double z)
| Set/Get the normal to the plane. More...
void | SetNormal (double n[3])
| Set/Get the normal to the plane. More...
virtual double * | GetNormal ()
| Set/Get the normal to the plane. More...
virtual void | GetNormal (double &, double &, double &)
| Set/Get the normal to the plane. More...
virtual void | GetNormal (double[3])
| Set/Get the normal to the plane. More...
void | SetV1 (double x, double y)
| Set/Get the v1 vector of the plane. More...
void | SetV1 (double x[2])
| Set/Get the v1 vector of the plane. More...
virtual double * | GetV1 ()
| Set/Get the v1 vector of the plane. More...
virtual void | GetV1 (double &, double &)
| Set/Get the v1 vector of the plane. More...
virtual void | GetV1 (double[2])
| Set/Get the v1 vector of the plane. More...
void | SetV2 (double x, double y)
| Set/Get the v2 vector of the plane. More...
void | SetV2 (double x[2])
| Set/Get the v2 vector of the plane. More...
virtual double * | GetV2 ()
| Set/Get the v2 vector of the plane. More...
virtual void | GetV2 (double &, double &)
| Set/Get the v2 vector of the plane. More...
virtual void | GetV2 (double[2])
| Set/Get the v2 vector of the plane. More...
virtual void | SetRepresentationState (int)
| Sets the visual appearance of the representation based on the state it is in. More...
virtual int | GetRepresentationState ()
| Sets the visual appearance of the representation based on the state it is in. More...
virtual vtkProperty * | GetNormalProperty ()
| Get the properties on the normal (line and cone). More...
virtual vtkProperty * | GetSelectedNormalProperty ()
| Get the properties on the normal (line and cone). More...
Public Member Functions inherited from vtkWidgetRepresentation
virtual void | PlaceWidget (double vtkNotUsed(bounds)[6])
| The following is a suggested API for widget representations. More...
virtual void | EndWidgetInteraction (double newEventPos[2])
virtual int | GetInteractionState ()
virtual void | Highlight (int vtkNotUsed(highlightOn))
double * | GetBounds () override
| Methods to make this class behave as a vtkProp. More...
void | ShallowCopy (vtkProp *prop) override
| Shallow copy of this vtkProp. More...
void | GetActors (vtkPropCollection *) override
| For some exporters and other other operations we must be able to collect all the actors or volumes. More...
void | GetActors2D (vtkPropCollection *) override
void | GetVolumes (vtkPropCollection *) override
void | ReleaseGraphicsResources (vtkWindow *) override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Release any graphics resources that are being consumed by this actor. More...
int | RenderOverlay (vtkViewport *vtkNotUsed(viewport)) override
int | RenderOpaqueGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderTranslucentPolygonalGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderVolumetricGeometry (vtkViewport *vtkNotUsed(viewport)) override
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some translucent polygonal geometry? This method is called during the rendering process to know if there is some translucent polygonal geometry. More...
virtual void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetRenderer (vtkRenderer *ren)
| Subclasses of vtkWidgetRepresentation must implement these methods. More...
virtual vtkRenderer * | GetRenderer ()
| Subclasses of vtkWidgetRepresentation must implement these methods. More...
virtual void | StartComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | ComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | EndComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual int | ComputeComplexInteractionState (vtkRenderWindowInteractor *iren, vtkAbstractWidget *widget, unsigned long event, void *callData, int modify=0)
virtual void | SetPlaceFactor (double)
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual double | GetPlaceFactor ()
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual void | SetHandleSize (double)
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual double | GetHandleSize ()
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual vtkTypeBool | GetNeedToRender ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | SetNeedToRender (vtkTypeBool)
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOn ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOff ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
vtkWidgetRepresentation * | NewInstance () const
| Standard methods for instances of this class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for instances of this class. More...
Public Member Functions inherited from vtkProp
vtkProp * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | Pick ()
| Method fires PickEvent if the prop is picked. More...
virtual vtkMTimeType | GetRedrawMTime ()
| Return the mtime of anything that would cause the rendered image to appear differently. More...
virtual void | PokeMatrix (vtkMatrix4x4 *vtkNotUsed(matrix))
| These methods are used by subclasses to place a matrix (if any) in the prop prior to rendering. More...
virtual vtkMatrix4x4 * | GetMatrix ()
virtual bool | HasKeys (vtkInformation *requiredKeys)
| Tells if the prop has all the required keys. More...
virtual int | RenderVolumetricGeometry (vtkViewport *)
virtual int | RenderOverlay (vtkViewport *)
virtual bool | RenderFilteredOpaqueGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the opaque geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredTranslucentPolygonalGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the translucent polygonal geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredVolumetricGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the volumetric geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredOverlay (vtkViewport *v, vtkInformation *requiredKeys)
| Render in the overlay of the viewport only if the prop has all the requiredKeys. More...
virtual vtkTypeBool | HasOpaqueGeometry ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some opaque geometry? This method is called during the rendering process to know if there is some opaque geometry. More...
virtual double | GetEstimatedRenderTime (vtkViewport *)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS The EstimatedRenderTime may be used to select between different props, for example in LODProp it is used to select the level-of-detail. More...
virtual double | GetEstimatedRenderTime ()
virtual void | SetEstimatedRenderTime (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS This method is used by, for example, the vtkLODProp3D in order to initialize the estimated render time at start-up to some user defined value. More...
virtual void | RestoreEstimatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS When the EstimatedRenderTime is first set to 0.0 (in the SetAllocatedRenderTime method) the old value is saved. More...
virtual void | AddEstimatedRenderTime (double t, vtkViewport *vtkNotUsed(vp))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS This method is intended to allow the renderer to add to the EstimatedRenderTime in props that require information that the renderer has in order to do this. More...
void | SetRenderTimeMultiplier (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Get/Set the multiplier for the render time. More...
virtual double | GetRenderTimeMultiplier ()
virtual void | BuildPaths (vtkAssemblyPaths *paths, vtkAssemblyPath *path)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used to construct assembly paths and perform part traversal. More...
virtual bool | GetSupportsSelection ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used by vtkHardwareSelector to determine if the prop supports hardware selection. More...
virtual void | ProcessSelectorPixelBuffers (vtkHardwareSelector *, std::vector< unsigned int > &)
| allows a prop to update a selections color buffers More...
virtual void | SetVisibility (vtkTypeBool)
| Set/Get visibility of this vtkProp. More...
virtual vtkTypeBool | GetVisibility ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOn ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOff ()
| Set/Get visibility of this vtkProp. More...
virtual void | SetPickable (vtkTypeBool)
| Set/Get the pickable instance variable. More...
virtual vtkTypeBool | GetPickable ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOn ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOff ()
| Set/Get the pickable instance variable. More...
virtual void | SetDragable (vtkTypeBool)
| Set/Get the value of the dragable instance variable. More...
virtual vtkTypeBool | GetDragable ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOn ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOff ()
| Set/Get the value of the dragable instance variable. More...
virtual void | SetUseBounds (bool)
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual bool | GetUseBounds ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOn ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOff ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | InitPathTraversal ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkAssemblyPath * | GetNextPath ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual int | GetNumberOfPaths ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkInformation * | GetPropertyKeys ()
| Set/Get property keys. More...
virtual void | SetPropertyKeys (vtkInformation *keys)
| Set/Get property keys. More...
virtual void | SetAllocatedRenderTime (double t, vtkViewport *vtkNotUsed(v))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS The renderer may use the allocated rendering time to determine how to render this actor. More...
virtual double | GetAllocatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. More...
virtual int | GetNumberOfConsumers ()
| Get the number of consumers. More...
void | AddConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
void | RemoveConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
vtkObject * | GetConsumer (int i)
| Add or remove or get or check a consumer,. More...
int | IsConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
virtual void | SetShaderProperty (vtkShaderProperty *property)
| Set/Get the shader property. More...
virtual vtkShaderProperty * | GetShaderProperty ()
| Set/Get the shader property. More...
virtual bool | IsRenderingTranslucentPolygonalGeometry ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkFinitePlaneRepresentation * | New ()
| Instantiate the class. More...
Static Public Member Functions inherited from vtkWidgetRepresentation
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instances of this class. More...
static vtkWidgetRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instances of this class. More...
Static Public Member Functions inherited from vtkProp
static vtkTypeBool | IsTypeOf (const char *type)
static vtkProp * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | GeneralTextureUnit ()
| Optional Key Indicating the texture unit for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
static vtkInformationDoubleVectorKey * | GeneralTextureTransform ()
| Optional Key Indicating the texture transform for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
| vtkFinitePlaneRepresentation ()
| ~vtkFinitePlaneRepresentation () override
virtual void | CreateDefaultProperties ()
virtual void | SizeHandles ()
void | SetHighlightNormal (int highlight)
void | SetHighlightPlane (int highlight)
void | SetHighlightHandle (vtkProp *prop)
Protected Member Functions inherited from vtkWidgetRepresentation
| vtkWidgetRepresentation ()
| ~vtkWidgetRepresentation () override
void | AdjustBounds (double bounds[6], double newBounds[6], double center[3])
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the widget representation currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the registered picker, and return the assembly path. More...
vtkAssemblyPath * | GetAssemblyPath3DPoint (double pos[3], vtkAbstractPropPicker *picker)
bool | NearbyEvent (int X, int Y, double bounds[6])
double | SizeHandlesRelativeToViewport (double factor, double pos[3])
double | SizeHandlesInPixels (double factor, double pos[3])
void | UpdatePropPose (vtkProp3D *prop, const double *pos1, const double *orient1, const double *pos2, const double *orient2)
Protected Member Functions inherited from vtkProp
| vtkProp ()
| ~vtkProp () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
double | LastEventPosition [3]
int | RepresentationState
vtkSphereSource * | OriginGeometry
vtkPolyDataMapper * | OriginMapper
vtkActor * | OriginActor
double | Origin [3]
double | Normal [3]
double | PreviousNormal [3]
vtkTransform * | Transform
vtkSphereSource * | V1Geometry
vtkPolyDataMapper * | V1Mapper
vtkActor * | V1Actor
double | V1 [3]
vtkSphereSource * | V2Geometry
vtkPolyDataMapper * | V2Mapper
vtkActor * | V2Actor
double | V2 [3]
vtkConeSource * | ConeSource
vtkPolyDataMapper * | ConeMapper
vtkActor * | ConeActor
vtkLineSource * | LineSource
vtkPolyDataMapper * | LineMapper
vtkActor * | LineActor
vtkConeSource * | ConeSource2
vtkPolyDataMapper * | ConeMapper2
vtkActor * | ConeActor2
vtkLineSource * | LineSource2
vtkPolyDataMapper * | LineMapper2
vtkActor * | LineActor2
vtkPolyData * | PlanePolyData
vtkPolyDataMapper * | PlaneMapper
vtkActor * | PlaneActor
vtkFeatureEdges * | Edges
vtkTubeFilter * | EdgesTuber
vtkPolyDataMapper * | EdgesMapper
vtkActor * | EdgesActor
bool | Tubing
bool | DrawPlane
vtkCellPicker * | HandlePicker
vtkActor * | CurrentHandle
vtkTransform * | TransformRotation
vtkBox * | BoundingBox
vtkProperty * | OriginHandleProperty
vtkProperty * | V1HandleProperty
vtkProperty * | V2HandleProperty
vtkProperty * | SelectedHandleProperty
vtkProperty * | PlaneProperty
vtkProperty * | SelectedPlaneProperty
vtkProperty * | NormalProperty
vtkProperty * | SelectedNormalProperty
Protected Attributes inherited from vtkWidgetRepresentation
vtkWeakPointer< vtkRenderer > | Renderer
int | InteractionState
double | StartEventPosition [3]
double | PlaceFactor
int | Placed
double | InitialBounds [6]
double | InitialLength
int | ValidPick
bool | PickingManaged
double | HandleSize
vtkTypeBool | NeedToRender
vtkTimeStamp | BuildTime
vtkNew< vtkTransform > | TempTransform
vtkNew< vtkMatrix4x4 > | TempMatrix
Protected Attributes inherited from vtkProp
vtkTypeBool | Visibility
vtkTypeBool | Pickable
vtkTypeBool | Dragable
bool | UseBounds
double | AllocatedRenderTime
double | EstimatedRenderTime
double | SavedEstimatedRenderTime
double | RenderTimeMultiplier
int | NumberOfConsumers
vtkObject ** | Consumers
vtkAssemblyPaths * | Paths
vtkInformation * | PropertyKeys
vtkShaderProperty * | ShaderProperty
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
typedef vtkWidgetRepresentation | Superclass
| Standard vtkObject methods. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard vtkObject methods. More...
static vtkFinitePlaneRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard vtkObject methods. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard vtkObject methods. More...
vtkFinitePlaneRepresentation * | NewInstance () const
| Standard vtkObject methods. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard vtkObject methods. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard vtkObject methods. More...

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

represent the vtkFinitePlaneWidget.

This class is a concrete representation for the vtkFinitePlaneWidget. It represents a plane with three handles: one on two faces, plus a center handle. Through interaction with the widget, the plane representation can be arbitrarily positioned and modified in the 3D space.

To use this representation, you normally use the PlaceWidget() method to position the widget at a specified region in space.

See also
  vtkFinitePlaneWidget vtkImplicitPlaneWidget2

Tests:
  vtkFinitePlaneRepresentation (Tests)

Definition at line 44 of file vtkFinitePlaneRepresentation.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkWidgetRepresentation vtkFinitePlaneRepresentation::Superclass

Standard vtkObject methods.

Definition at line 56 of file vtkFinitePlaneRepresentation.h.

## ◆ _InteractionState

typedef InteractionStateType vtkFinitePlaneRepresentation::_InteractionState

Definition at line 215 of file vtkFinitePlaneRepresentation.h.

## Member Enumeration Documentation

## ◆ InteractionStateType

enum vtkFinitePlaneRepresentation::InteractionStateType

Enumerator
Outside |
MoveOrigin |
ModifyV1 |
ModifyV2 |
Moving |
Rotating |
Pushing |

Definition at line 203 of file vtkFinitePlaneRepresentation.h.

## Constructor & Destructor Documentation

## ◆ vtkFinitePlaneRepresentation()

vtkFinitePlaneRepresentation::vtkFinitePlaneRepresentation | ( |  | ) |
| protected

## ◆ ~vtkFinitePlaneRepresentation()

vtkFinitePlaneRepresentation::~vtkFinitePlaneRepresentation | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkFinitePlaneRepresentation* vtkFinitePlaneRepresentation::New | ( |  | ) |
| static

Instantiate the class.

## ◆ IsTypeOf()

static vtkTypeBool vtkFinitePlaneRepresentation::IsTypeOf | ( | const char * | type | ) |
| static

Standard vtkObject methods.

## ◆ IsA()

virtual vtkTypeBool vtkFinitePlaneRepresentation::IsA | ( | const char * | type | ) |
| virtual

Standard vtkObject methods.

Reimplemented from vtkWidgetRepresentation.

## ◆ SafeDownCast()

static vtkFinitePlaneRepresentation* vtkFinitePlaneRepresentation::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard vtkObject methods.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkFinitePlaneRepresentation::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard vtkObject methods.

Reimplemented from vtkWidgetRepresentation.

## ◆ NewInstance()

vtkFinitePlaneRepresentation* vtkFinitePlaneRepresentation::NewInstance | ( |  | ) | const

Standard vtkObject methods.

## ◆ PrintSelf()

void vtkFinitePlaneRepresentation::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard vtkObject methods.

Reimplemented from vtkObject.

## ◆ GetPolyData()

void vtkFinitePlaneRepresentation::GetPolyData | ( | vtkPolyData * | pd | ) |

Grab the polydata that defines the plane.

The polydata contains a single polygon.

## ◆ GetV1HandleProperty()

virtual vtkProperty* vtkFinitePlaneRepresentation::GetV1HandleProperty | ( |  | ) |
| virtual

Get the handle properties (the little balls are the handles).

The properties of the handles, when selected or normal, can be specified.

## ◆ GetV2HandleProperty()

virtual vtkProperty* vtkFinitePlaneRepresentation::GetV2HandleProperty | ( |  | ) |
| virtual

Get the handle properties (the little balls are the handles).

The properties of the handles, when selected or normal, can be specified.

## ◆ GetSelectedHandleProperty()

virtual vtkProperty* vtkFinitePlaneRepresentation::GetSelectedHandleProperty | ( |  | ) |
| virtual

Get the handle properties (the little balls are the handles).

The properties of the handles, when selected or normal, can be specified.

## ◆ GetPlaneProperty()

virtual vtkProperty* vtkFinitePlaneRepresentation::GetPlaneProperty | ( |  | ) |
| virtual

Get the plane properties.

The properties of the plane when selected and normal can be set.

## ◆ GetSelectedPlaneProperty()

virtual vtkProperty* vtkFinitePlaneRepresentation::GetSelectedPlaneProperty | ( |  | ) |
| virtual

Get the plane properties.

The properties of the plane when selected and normal can be set.

## ◆ SetTubing()

virtual void vtkFinitePlaneRepresentation::SetTubing | ( | bool |  | ) |
| virtual

Turn on/off tubing of the wire outline of the plane.

The tube thickens the line by wrapping with a vtkTubeFilter.

## ◆ GetTubing()

virtual bool vtkFinitePlaneRepresentation::GetTubing | ( |  | ) |
| virtual

Turn on/off tubing of the wire outline of the plane.

The tube thickens the line by wrapping with a vtkTubeFilter.

## ◆ TubingOn()

virtual void vtkFinitePlaneRepresentation::TubingOn | ( |  | ) |
| virtual

Turn on/off tubing of the wire outline of the plane.

The tube thickens the line by wrapping with a vtkTubeFilter.

## ◆ TubingOff()

virtual void vtkFinitePlaneRepresentation::TubingOff | ( |  | ) |
| virtual

Turn on/off tubing of the wire outline of the plane.

The tube thickens the line by wrapping with a vtkTubeFilter.

## ◆ SetDrawPlane()

void vtkFinitePlaneRepresentation::SetDrawPlane | ( | bool | plane | ) |

Enable/disable the drawing of the plane.

In some cases the plane interferes with the object that it is operating on (i.e., the plane interferes with the cut surface it produces producing z-buffer artifacts.)

## ◆ GetDrawPlane()

virtual bool vtkFinitePlaneRepresentation::GetDrawPlane | ( |  | ) |
| virtual

Enable/disable the drawing of the plane.

In some cases the plane interferes with the object that it is operating on (i.e., the plane interferes with the cut surface it produces producing z-buffer artifacts.)

## ◆ DrawPlaneOn()

virtual void vtkFinitePlaneRepresentation::DrawPlaneOn | ( |  | ) |
| virtual

Enable/disable the drawing of the plane.

In some cases the plane interferes with the object that it is operating on (i.e., the plane interferes with the cut surface it produces producing z-buffer artifacts.)

## ◆ DrawPlaneOff()

virtual void vtkFinitePlaneRepresentation::DrawPlaneOff | ( |  | ) |
| virtual

Enable/disable the drawing of the plane.

In some cases the plane interferes with the object that it is operating on (i.e., the plane interferes with the cut surface it produces producing z-buffer artifacts.)

## ◆ SetHandles()

void vtkFinitePlaneRepresentation::SetHandles | ( | bool | handles | ) |

Switches handles (the spheres) on or off by manipulating the underlying actor visibility.

## ◆ HandlesOn()

virtual void vtkFinitePlaneRepresentation::HandlesOn | ( |  | ) |
| virtual

Switches handles (the spheres) on or off by manipulating the underlying actor visibility.

## ◆ HandlesOff()

virtual void vtkFinitePlaneRepresentation::HandlesOff | ( |  | ) |
| virtual

Switches handles (the spheres) on or off by manipulating the underlying actor visibility.

## ◆ PlaceWidget()

void vtkFinitePlaneRepresentation::PlaceWidget | ( | double | bounds[6] | ) |
| override

These are methods that satisfy vtkWidgetRepresentation's API.

## ◆ BuildRepresentation()

void vtkFinitePlaneRepresentation::BuildRepresentation | ( |  | ) |
| overridevirtual

These are methods that satisfy vtkWidgetRepresentation's API.

Implements vtkWidgetRepresentation.

## ◆ ComputeInteractionState()

int vtkFinitePlaneRepresentation::ComputeInteractionState | ( | int | X,
|  | int | Y,
|  | int | modify = `0`
| ) |  |
| overridevirtual

These are methods that satisfy vtkWidgetRepresentation's API.

Reimplemented from vtkWidgetRepresentation.

## ◆ StartWidgetInteraction()

void vtkFinitePlaneRepresentation::StartWidgetInteraction | ( | double | e[2] | ) |
| overridevirtual

These are methods that satisfy vtkWidgetRepresentation's API.

Reimplemented from vtkWidgetRepresentation.

## ◆ WidgetInteraction()

void vtkFinitePlaneRepresentation::WidgetInteraction | ( | double | e[2] | ) |
| overridevirtual

These are methods that satisfy vtkWidgetRepresentation's API.

Reimplemented from vtkWidgetRepresentation.

## ◆ GetBounds()

double* vtkFinitePlaneRepresentation::GetBounds | ( |  | ) |
| overridevirtual

These are methods that satisfy vtkWidgetRepresentation's API.

Reimplemented from vtkProp.

## ◆ ReleaseGraphicsResources()

void vtkFinitePlaneRepresentation::ReleaseGraphicsResources | ( | vtkWindow * |  | ) |
| overridevirtual

Methods supporting, and required by, the rendering process.

Reimplemented from vtkProp.

## ◆ RenderOpaqueGeometry()

int vtkFinitePlaneRepresentation::RenderOpaqueGeometry | ( | vtkViewport * |  | ) |
| overridevirtual

Methods supporting, and required by, the rendering process.

Reimplemented from vtkProp.

## ◆ RenderTranslucentPolygonalGeometry()

int vtkFinitePlaneRepresentation::RenderTranslucentPolygonalGeometry | ( | vtkViewport * |  | ) |
| overridevirtual

Methods supporting, and required by, the rendering process.

Reimplemented from vtkProp.

## ◆ HasTranslucentPolygonalGeometry()

vtkTypeBool vtkFinitePlaneRepresentation::HasTranslucentPolygonalGeometry | ( |  | ) |
| overridevirtual

Methods supporting, and required by, the rendering process.

Reimplemented from vtkProp.

## ◆ SetInteractionState()

virtual void vtkFinitePlaneRepresentation::SetInteractionState | ( | int |  | ) |
| virtual

## ◆ SetOrigin() [1/2]

void vtkFinitePlaneRepresentation::SetOrigin | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

Set/Get the origin of the plane.

## ◆ SetOrigin() [2/2]

void vtkFinitePlaneRepresentation::SetOrigin | ( | double | x[3] | ) |

Set/Get the origin of the plane.

## ◆ GetOrigin() [1/3]

virtual double* vtkFinitePlaneRepresentation::GetOrigin | ( |  | ) |
| virtual

Set/Get the origin of the plane.

## ◆ GetOrigin() [2/3]

virtual void vtkFinitePlaneRepresentation::GetOrigin | ( | double & | ,
|  | double & | ,
|  | double & |
| ) |  |
| virtual

Set/Get the origin of the plane.

## ◆ GetOrigin() [3/3]

virtual void vtkFinitePlaneRepresentation::GetOrigin | ( | double | [3] | ) |
| virtual

Set/Get the origin of the plane.

## ◆ SetNormal() [1/2]

void vtkFinitePlaneRepresentation::SetNormal | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

Set/Get the normal to the plane.

## ◆ SetNormal() [2/2]

void vtkFinitePlaneRepresentation::SetNormal | ( | double | n[3] | ) |

Set/Get the normal to the plane.

## ◆ GetNormal() [1/3]

virtual double* vtkFinitePlaneRepresentation::GetNormal | ( |  | ) |
| virtual

Set/Get the normal to the plane.

## ◆ GetNormal() [2/3]

virtual void vtkFinitePlaneRepresentation::GetNormal | ( | double & | ,
|  | double & | ,
|  | double & |
| ) |  |
| virtual

Set/Get the normal to the plane.

## ◆ GetNormal() [3/3]

virtual void vtkFinitePlaneRepresentation::GetNormal | ( | double | [3] | ) |
| virtual

Set/Get the normal to the plane.

## ◆ SetV1() [1/2]

void vtkFinitePlaneRepresentation::SetV1 | ( | double | x,
|  | double | y
| ) |  |

Set/Get the v1 vector of the plane.

## ◆ SetV1() [2/2]

void vtkFinitePlaneRepresentation::SetV1 | ( | double | x[2] | ) |

Set/Get the v1 vector of the plane.

## ◆ GetV1() [1/3]

virtual double* vtkFinitePlaneRepresentation::GetV1 | ( |  | ) |
| virtual

Set/Get the v1 vector of the plane.

## ◆ GetV1() [2/3]

virtual void vtkFinitePlaneRepresentation::GetV1 | ( | double & | ,
|  | double & |
| ) |  |
| virtual

Set/Get the v1 vector of the plane.

## ◆ GetV1() [3/3]

virtual void vtkFinitePlaneRepresentation::GetV1 | ( | double | [2] | ) |
| virtual

Set/Get the v1 vector of the plane.

## ◆ SetV2() [1/2]

void vtkFinitePlaneRepresentation::SetV2 | ( | double | x,
|  | double | y
| ) |  |

Set/Get the v2 vector of the plane.

## ◆ SetV2() [2/2]

void vtkFinitePlaneRepresentation::SetV2 | ( | double | x[2] | ) |

Set/Get the v2 vector of the plane.

## ◆ GetV2() [1/3]

virtual double* vtkFinitePlaneRepresentation::GetV2 | ( |  | ) |
| virtual

Set/Get the v2 vector of the plane.

## ◆ GetV2() [2/3]

virtual void vtkFinitePlaneRepresentation::GetV2 | ( | double & | ,
|  | double & |
| ) |  |
| virtual

Set/Get the v2 vector of the plane.

## ◆ GetV2() [3/3]

virtual void vtkFinitePlaneRepresentation::GetV2 | ( | double | [2] | ) |
| virtual

Set/Get the v2 vector of the plane.

## ◆ SetRepresentationState()

virtual void vtkFinitePlaneRepresentation::SetRepresentationState | ( | int |  | ) |
| virtual

Sets the visual appearance of the representation based on the state it is in.

This state is usually the same as InteractionState.

## ◆ GetRepresentationState()

virtual int vtkFinitePlaneRepresentation::GetRepresentationState | ( |  | ) |
| virtual

Sets the visual appearance of the representation based on the state it is in.

This state is usually the same as InteractionState.

## ◆ GetNormalProperty()

virtual vtkProperty* vtkFinitePlaneRepresentation::GetNormalProperty | ( |  | ) |
| virtual

Get the properties on the normal (line and cone).

## ◆ GetSelectedNormalProperty()

virtual vtkProperty* vtkFinitePlaneRepresentation::GetSelectedNormalProperty | ( |  | ) |
| virtual

Get the properties on the normal (line and cone).

## ◆ TranslateOrigin()

void vtkFinitePlaneRepresentation::TranslateOrigin | ( | double * | p1,
|  | double * | p2
| ) |  |

## ◆ MovePoint1()

void vtkFinitePlaneRepresentation::MovePoint1 | ( | double * | p1,
|  | double * | p2
| ) |  |

## ◆ MovePoint2()

void vtkFinitePlaneRepresentation::MovePoint2 | ( | double * | p1,
|  | double * | p2
| ) |  |

## ◆ Push()

void vtkFinitePlaneRepresentation::Push | ( | double * | p1,
|  | double * | p2
| ) |  |

## ◆ Rotate()

void vtkFinitePlaneRepresentation::Rotate | ( | int | X,
|  | int | Y,
|  | double * | p1,
|  | double * | p2,
|  | double * | vpn
| ) |  |

## ◆ RegisterPickers()

void vtkFinitePlaneRepresentation::RegisterPickers | ( |  | ) |
| overridevirtual

Register internal Pickers in the Picking Manager.

Must be reimplemented by concrete widget representations to register their pickers.

Reimplemented from vtkWidgetRepresentation.

## ◆ CreateDefaultProperties()

virtual void vtkFinitePlaneRepresentation::CreateDefaultProperties | ( |  | ) |
| protectedvirtual

## ◆ SizeHandles()

virtual void vtkFinitePlaneRepresentation::SizeHandles | ( |  | ) |
| protectedvirtual

## ◆ SetHighlightNormal()

void vtkFinitePlaneRepresentation::SetHighlightNormal | ( | int | highlight | ) |
| protected

## ◆ SetHighlightPlane()

void vtkFinitePlaneRepresentation::SetHighlightPlane | ( | int | highlight | ) |
| protected

## ◆ SetHighlightHandle()

void vtkFinitePlaneRepresentation::SetHighlightHandle | ( | vtkProp * | prop | ) |
| protected

## Member Data Documentation

## ◆ LastEventPosition

double vtkFinitePlaneRepresentation::LastEventPosition[3]
| protected

Definition at line 236 of file vtkFinitePlaneRepresentation.h.

## ◆ RepresentationState

int vtkFinitePlaneRepresentation::RepresentationState
| protected

Definition at line 239 of file vtkFinitePlaneRepresentation.h.

## ◆ OriginGeometry

vtkSphereSource* vtkFinitePlaneRepresentation::OriginGeometry
| protected

Definition at line 242 of file vtkFinitePlaneRepresentation.h.

## ◆ OriginMapper

vtkPolyDataMapper* vtkFinitePlaneRepresentation::OriginMapper
| protected

Definition at line 243 of file vtkFinitePlaneRepresentation.h.

## ◆ OriginActor

vtkActor* vtkFinitePlaneRepresentation::OriginActor
| protected

Definition at line 244 of file vtkFinitePlaneRepresentation.h.

## ◆ Origin

double vtkFinitePlaneRepresentation::Origin[3]
| protected

Definition at line 245 of file vtkFinitePlaneRepresentation.h.

## ◆ Normal

double vtkFinitePlaneRepresentation::Normal[3]
| protected

Definition at line 248 of file vtkFinitePlaneRepresentation.h.

## ◆ PreviousNormal

double vtkFinitePlaneRepresentation::PreviousNormal[3]
| protected

Definition at line 251 of file vtkFinitePlaneRepresentation.h.

## ◆ Transform

vtkTransform* vtkFinitePlaneRepresentation::Transform
| protected

Definition at line 254 of file vtkFinitePlaneRepresentation.h.

## ◆ V1Geometry

vtkSphereSource* vtkFinitePlaneRepresentation::V1Geometry
| protected

Definition at line 257 of file vtkFinitePlaneRepresentation.h.

## ◆ V1Mapper

vtkPolyDataMapper* vtkFinitePlaneRepresentation::V1Mapper
| protected

Definition at line 258 of file vtkFinitePlaneRepresentation.h.

## ◆ V1Actor

vtkActor* vtkFinitePlaneRepresentation::V1Actor
| protected

Definition at line 259 of file vtkFinitePlaneRepresentation.h.

## ◆ V1

double vtkFinitePlaneRepresentation::V1[3]
| protected

Definition at line 260 of file vtkFinitePlaneRepresentation.h.

## ◆ V2Geometry

vtkSphereSource* vtkFinitePlaneRepresentation::V2Geometry
| protected

Definition at line 263 of file vtkFinitePlaneRepresentation.h.

## ◆ V2Mapper

vtkPolyDataMapper* vtkFinitePlaneRepresentation::V2Mapper
| protected

Definition at line 264 of file vtkFinitePlaneRepresentation.h.

## ◆ V2Actor

vtkActor* vtkFinitePlaneRepresentation::V2Actor
| protected

Definition at line 265 of file vtkFinitePlaneRepresentation.h.

## ◆ V2

double vtkFinitePlaneRepresentation::V2[3]
| protected

Definition at line 266 of file vtkFinitePlaneRepresentation.h.

## ◆ ConeSource

vtkConeSource* vtkFinitePlaneRepresentation::ConeSource
| protected

Definition at line 269 of file vtkFinitePlaneRepresentation.h.

## ◆ ConeMapper

vtkPolyDataMapper* vtkFinitePlaneRepresentation::ConeMapper
| protected

Definition at line 270 of file vtkFinitePlaneRepresentation.h.

## ◆ ConeActor

vtkActor* vtkFinitePlaneRepresentation::ConeActor
| protected

Definition at line 271 of file vtkFinitePlaneRepresentation.h.

## ◆ LineSource

vtkLineSource* vtkFinitePlaneRepresentation::LineSource
| protected

Definition at line 274 of file vtkFinitePlaneRepresentation.h.

## ◆ LineMapper

vtkPolyDataMapper* vtkFinitePlaneRepresentation::LineMapper
| protected

Definition at line 275 of file vtkFinitePlaneRepresentation.h.

## ◆ LineActor

vtkActor* vtkFinitePlaneRepresentation::LineActor
| protected

Definition at line 276 of file vtkFinitePlaneRepresentation.h.

## ◆ ConeSource2

vtkConeSource* vtkFinitePlaneRepresentation::ConeSource2
| protected

Definition at line 279 of file vtkFinitePlaneRepresentation.h.

## ◆ ConeMapper2

vtkPolyDataMapper* vtkFinitePlaneRepresentation::ConeMapper2
| protected

Definition at line 280 of file vtkFinitePlaneRepresentation.h.

## ◆ ConeActor2

vtkActor* vtkFinitePlaneRepresentation::ConeActor2
| protected

Definition at line 281 of file vtkFinitePlaneRepresentation.h.

## ◆ LineSource2

vtkLineSource* vtkFinitePlaneRepresentation::LineSource2
| protected

Definition at line 284 of file vtkFinitePlaneRepresentation.h.

## ◆ LineMapper2

vtkPolyDataMapper* vtkFinitePlaneRepresentation::LineMapper2
| protected

Definition at line 285 of file vtkFinitePlaneRepresentation.h.

## ◆ LineActor2

vtkActor* vtkFinitePlaneRepresentation::LineActor2
| protected

Definition at line 286 of file vtkFinitePlaneRepresentation.h.

## ◆ PlanePolyData

vtkPolyData* vtkFinitePlaneRepresentation::PlanePolyData
| protected

Definition at line 289 of file vtkFinitePlaneRepresentation.h.

## ◆ PlaneMapper

vtkPolyDataMapper* vtkFinitePlaneRepresentation::PlaneMapper
| protected

Definition at line 290 of file vtkFinitePlaneRepresentation.h.

## ◆ PlaneActor

vtkActor* vtkFinitePlaneRepresentation::PlaneActor
| protected

Definition at line 291 of file vtkFinitePlaneRepresentation.h.

## ◆ Edges

vtkFeatureEdges* vtkFinitePlaneRepresentation::Edges
| protected

Definition at line 294 of file vtkFinitePlaneRepresentation.h.

## ◆ EdgesTuber

vtkTubeFilter* vtkFinitePlaneRepresentation::EdgesTuber
| protected

Definition at line 295 of file vtkFinitePlaneRepresentation.h.

## ◆ EdgesMapper

vtkPolyDataMapper* vtkFinitePlaneRepresentation::EdgesMapper
| protected

Definition at line 296 of file vtkFinitePlaneRepresentation.h.

## ◆ EdgesActor

vtkActor* vtkFinitePlaneRepresentation::EdgesActor
| protected

Definition at line 297 of file vtkFinitePlaneRepresentation.h.

## ◆ Tubing

bool vtkFinitePlaneRepresentation::Tubing
| protected

Definition at line 298 of file vtkFinitePlaneRepresentation.h.

## ◆ DrawPlane

bool vtkFinitePlaneRepresentation::DrawPlane
| protected

Definition at line 299 of file vtkFinitePlaneRepresentation.h.

## ◆ HandlePicker

vtkCellPicker* vtkFinitePlaneRepresentation::HandlePicker
| protected

Definition at line 302 of file vtkFinitePlaneRepresentation.h.

## ◆ CurrentHandle

vtkActor* vtkFinitePlaneRepresentation::CurrentHandle
| protected

Definition at line 303 of file vtkFinitePlaneRepresentation.h.

## ◆ TransformRotation

vtkTransform* vtkFinitePlaneRepresentation::TransformRotation
| protected

Definition at line 306 of file vtkFinitePlaneRepresentation.h.

## ◆ BoundingBox

vtkBox* vtkFinitePlaneRepresentation::BoundingBox
| protected

Definition at line 309 of file vtkFinitePlaneRepresentation.h.

## ◆ OriginHandleProperty

vtkProperty* vtkFinitePlaneRepresentation::OriginHandleProperty
| protected

Definition at line 313 of file vtkFinitePlaneRepresentation.h.

## ◆ V1HandleProperty

vtkProperty* vtkFinitePlaneRepresentation::V1HandleProperty
| protected

Definition at line 314 of file vtkFinitePlaneRepresentation.h.

## ◆ V2HandleProperty

vtkProperty* vtkFinitePlaneRepresentation::V2HandleProperty
| protected

Definition at line 315 of file vtkFinitePlaneRepresentation.h.

## ◆ SelectedHandleProperty

vtkProperty* vtkFinitePlaneRepresentation::SelectedHandleProperty
| protected

Definition at line 316 of file vtkFinitePlaneRepresentation.h.

## ◆ PlaneProperty

vtkProperty* vtkFinitePlaneRepresentation::PlaneProperty
| protected

Definition at line 317 of file vtkFinitePlaneRepresentation.h.

## ◆ SelectedPlaneProperty

vtkProperty* vtkFinitePlaneRepresentation::SelectedPlaneProperty
| protected

Definition at line 318 of file vtkFinitePlaneRepresentation.h.

## ◆ NormalProperty

vtkProperty* vtkFinitePlaneRepresentation::NormalProperty
| protected

Definition at line 319 of file vtkFinitePlaneRepresentation.h.

## ◆ SelectedNormalProperty

vtkProperty* vtkFinitePlaneRepresentation::SelectedNormalProperty
| protected

Definition at line 320 of file vtkFinitePlaneRepresentation.h.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkFinitePlaneRepresentation.h